[package]
name = "gst-plugin-gif"
version = "0.9.0"
authors = ["Markus Ebner <info@ebner-markus.de>"]
repository = "https://gitlab.freedesktop.org/gstreamer/gst-plugins-rs"
license = "MIT/Apache-2.0"
edition = "2021"
rust-version = "1.56"
description = "GStreamer GIF plugin"

[dependencies]
gst = { package = "gstreamer", git = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs" }
gst-video = { package = "gstreamer-video", git = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs" }
gif = "0.11"
atomic_refcell = "0.1"
once_cell = "1"

[dev-dependencies]
gst-check = { package = "gstreamer-check", git = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs" }

[lib]
name = "gstgif"
crate-type = ["cdylib", "rlib"]
path = "src/lib.rs"

[[example]]
name = "testvideosrc2gif"
path = "examples/testvideosrc2gif.rs"

[build-dependencies]
gst-plugin-version-helper = { path="../../version-helper" }

[features]
# GStreamer 1.14 is required for static linking
static = ["gst/v1_14"]
capi = []

[package.metadata.capi]
min_version = "0.8.0"

[package.metadata.capi.header]
enabled = false

[package.metadata.capi.library]
install_subdir = "gstreamer-1.0"
versioning = false

[package.metadata.capi.pkg_config]
requires_private = "gstreamer-1.0, gstreamer-video-1.0, gobject-2.0, glib-2.0, gmodule-2.0"
